uniform mat4 u_projTrans;

attribute vec4 a_position;
attribute vec2 a_center;
attribute vec4 a_color;
attribute float a_radius;

varying vec4 v_color;
varying vec2 v_coord;
varying vec2 v_center;
varying float v_radius;

void main()
{
	v_color = a_color;
	v_color.a = v_color.a * (255.0/254.0);

	v_coord = a_position.xy;
	v_center = a_center;
	v_radius = a_radius;

	gl_Position = u_projTrans * a_position;
}