uniform mat4 u_proj;

attribute vec4 a_position;
attribute vec4 a_color;

varying vec4 v_color;

void main()
{
	v_color = a_color;
	v_color.a = v_color.a * (256.0/255.0);
	gl_Position =  u_proj * vec4(a_position.xy, 0.0, 1.0);
}